<?php
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
    exit( 'Direct script access denied.' );
}

function la_moren_preset_shop_masonry()
{
    return [
        [
            'key'               => 'layout_archive_product',
            'value'             => 'col-1c'
        ],
        [
            'filter_name'       => 'moren/filter/current_title',
            'filter_func'       => function( $title ) {
                $title = 'Shop Masonry';
                return $title;
            },
            'filter_priority'   => 10,
            'filter_args'       => 1
        ],

        [
            'key' => 'main_full_width_archive_product',
            'value' => 'yes'
        ],
        [
            'key' => 'active_shop_masonry',
            'value' => 'on'
        ],
        [
            'key' => 'woocommerce_toggle_grid_list',
            'value' => 'off'
        ],
        [
            'key' => 'woocommerce_pagination_type',
            'value' => 'load_more'
        ],
        [
            'key' => 'shop_item_space',
            'value' => [
                'tablet' => [
                    'top' => 0,
                    'left' => 0,
                    'right' => 0,
                    'bottom' => 0
                ],
                'laptop' => [
                    'top' => 0,
                    'left' => 0,
                    'right' => 0,
                    'bottom' => 0
                ],
                'desktop' => [
                    'top' => 0,
                    'left' => 0,
                    'right' => 0,
                    'bottom' => 0
                ]
            ]
        ],
        [
            'key' => 'shop_catalog_grid_style',
            'value' => '6'
        ],
        [
            'key' => 'product_masonry_container_width',
            'value' => 1640
        ],
        [
            'key' => 'product_masonry_item_width',
            'value' => 410
        ],
        [
            'key' => 'product_masonry_item_height',
            'value' => 600
        ],
        [
            'key' => 'shop_masonry_column_type',
            'value' => 'custom'
        ],
        [
            'key' => 'enable_shop_masonry_custom_setting',
            'value' => 'on'
        ],
        [
            'key' => 'product_per_page_default',
            'value' => 18
        ],
        [
            'key' => 'product_per_page_allow',
            'value' => '12,18,30'
        ],
        [
            'key' => 'shop_masonry_item_setting',
            'value' =>
                array (
                    0 =>
                        array (
                            'size_name' => '1x Width + 1x Height',
                            'w' => '1',
                            'h' => '1',
                        ),
                    1 =>
                        array (
                            'size_name' => '1x Width + 1x Height',
                            'w' => '1',
                            'h' => '1',
                        ),
                    2 =>
                        array (
                            'size_name' => '1x Width + 1x Height',
                            'w' => '1',
                            'h' => '1',
                        ),
                    3 =>
                        array (
                            'size_name' => '1x Width + 1x Height',
                            'w' => '1',
                            'h' => '1',
                        ),
                    4 =>
                        array (
                            'size_name' => '1x Width + 1x Height',
                            'w' => '2',
                            'h' => '1',
                        ),
                    5 =>
                        array (
                            'size_name' => '1x Width + 1x Height',
                            'w' => '1',
                            'h' => '1',
                        ),
                    6 =>
                        array (
                            'size_name' => '1x Width + 1x Height',
                            'w' => '1',
                            'h' => '1',
                        ),
                    7 =>
                        array (
                            'size_name' => '2x Width + 1x Height',
                            'w' => '1',
                            'h' => '1',
                        ),
                    8 =>
                        array (
                            'size_name' => '2x Width + 1x Height',
                            'w' => '1',
                            'h' => '1',
                        ),
                    9 =>
                        array (
                            'size_name' => '1x Width + 1x Height',
                            'w' => '1',
                            'h' => '1',
                        ),
                    10 =>
                        array (
                            'size_name' => '1x Width + 1x Height',
                            'w' => '1',
                            'h' => '1',
                        ),
                    11 =>
                        array (
                            'size_name' => '2x Width + 1x Height',
                            'w' => '1',
                            'h' => '1',
                        ),
                    12 =>
                        array (
                            'size_name' => '1x Width + 1x Height',
                            'w' => '2',
                            'h' => '1',
                        ),
                    13 =>
                        array (
                            'size_name' => '1x Width + 1x Height',
                            'w' => '1',
                            'h' => '1',
                        ),
                    14 =>
                        array (
                            'size_name' => '1x Width + 1x Height',
                            'w' => '1',
                            'h' => '1',
                        ),
                )

        ],


        [
            'key' => 'woocommerce_shop_masonry_custom_columns',
            'value' => array(
                'md' => 2,
                'sm' => 1,
                'xs' => 1,
                'mb' => 1
            )
        ],
        [
            'filter_name'       => 'moren/filter/get_option',
            'filter_func'       => function( $value, $key ) {
                if( $key == 'la_custom_css'){
                    $value .= '
.la-pagination.active-loadmore {
    margin-top: 4em;
}
';
                }
                return $value;
            },
            'filter_priority'   => 10,
            'filter_args'       => 2
        ],
    ];
}