<?php
/**
 * The Header for our theme.
 *
 * @package Moren WordPress theme
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}
?><!DOCTYPE html>
<html <?php language_attributes(); ?><?php moren_schema_markup( 'html' ); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <link rel="profile" href="//gmpg.org/xfn/11">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php if(function_exists('wp_body_open')) { wp_body_open(); } ?>

<?php do_action('moren/action/before_outer_wrap'); ?>

<div id="outer-wrap" class="site">

    <?php do_action('moren/action/before_wrap'); ?>

    <div id="wrap">
        <?php

            do_action('moren/action/before_header');

            do_action('moren/action/header');

            do_action('moren/action/after_header');

        ?>

        <?php do_action('moren/action/before_main'); ?>

        <main id="main" class="site-main"<?php moren_schema_markup('main') ?>>
            <?php

                do_action('moren/action/before_page_header');

                do_action('moren/action/page_header');

                do_action('moren/action/after_page_header');